Cyberduck Mountain Duck CLI

#1148 closed defect (fixed)

Compare remote and local folders

Reported by: dkocher Owned by: dkocher
Priority: normal Milestone: 3.7
Component: interface Version: 3.0b3
Severity: normal Keywords: synchronization dialog
Cc: Architecture:
Platform:

Description

From http://forums.cocoaforge.com/viewtopic.php?t=13971:

Compare directories. This is distinct from "synchronize," because it simply highlights the differences between the local and remote directory. This is a convenient non-destructive action that helps see changes.

Change History (3)

comment:1 Changed on Aug 18, 2007 at 11:59:04 AM by dkocher

  • Component changed from core to interface
  • Milestone set to 2.8
  • Resolution set to fixed
  • Status changed from new to closed

The synchronisation dialog now shows files which are equal.

comment:2 Changed on Nov 14, 2008 at 2:54:52 AM by hossnerbiz@…

  • Keywords synchronization dialog added
  • Milestone changed from 2.8 to 3.2
  • Resolution fixed deleted
  • Status changed from closed to reopened
  • Version changed from 2.7.3 to 3.0b3

I am reopening this for two reasons: Primarily because the resolution was the exact OPPOSITE of what the original desire was, and second "shows files which are equal" in the synchronization dialog buries the SIGNIFICANT changes with mostly irrelevant information.

The problem with the current implementation is when synchronizing with a large directory structure, it is not possible to QUICKLY and SUCCINCTLY determine exactly which file will be changed. One must navigate EACH AND EVERY folder, because they are all checked, regardless as to whether there are files beneath that will be sync'd. This can be extremely time consuming and error prone. It seems to me (a year or two ago?) Cyberduck only showed the items to be changed. THIS IS THE highly desired if not PREFERRED DISPLAY (search the forums). When it went away, I assumed it was a bug that would be fixed right away. I'm not sure why the forum posts have been ignored. Hope this report has the desired effect for me and them. Thanks.

comment:3 Changed on Nov 26, 2010 at 4:18:08 PM by dkocher

  • Milestone set to 3.7
  • Resolution set to fixed
  • Status changed from reopened to closed

The implementation has been changed in r7157. Duplicate for #5226.

Note: See TracTickets for help on using tickets.
swiss made software